%% Create a 2-D line plot of the data in Y versus the corresponding values in X.

unit = 0.1;
x_min = 0;
x_max = 1;
y_min = 0;
y_max = 1;

figure(1);
set(gcf, 'Units', 'Inches', 'Position', [3 3 5.2 5]);

color_mat = [   [1   0   0  ];
                [1   0.5 0  ];
                [1   1   0  ];
                [0   1   0  ];
                [0   1   1  ];
                [0   0.5 1  ];
                [0   0   1  ];
                [0.5 0   1  ];
                [1   0   1  ];
            ];

for ii = unit: unit: 1 - unit

    for jj = 0.7

        [T, Y] = ode23tb('Differential_Calculus_Extended', [0, 3], [ii, jj]);
        
        color = color_mat(round(ii / unit), :);

        plot(Y(:,1), Y(:,2), 'Color', color, 'LineWidth', 2);
        
        hold on; 

    end

end

% [A, B] = Equilibrium_Calc();
% 
% scatter(A, B, 5, 'filled', 'red');
% 
% hold on; 

legend( '{\it{x}}_{0} = 0.1', ...
        '{\it{x}}_{0} = 0.2', ...
        '{\it{x}}_{0} = 0.3', ...
        '{\it{x}}_{0} = 0.4', ...
        '{\it{x}}_{0} = 0.5', ...
        '{\it{x}}_{0} = 0.6', ...
        '{\it{x}}_{0} = 0.7', ...
        '{\it{x}}_{0} = 0.8', ...
        '{\it{x}}_{0} = 0.9', ...
        'NumColumns', 2, ...
        'FontSize', 12, ...
        'Location', 'SouthEast');

set(gca, 'FontSize', 14, 'FontName', 'Cambria');
set(gca, 'FontSize', 14, 'FontName', 'Times New Roman');

xlabel('x','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');
ylabel('y','FontSize', 16, 'FontWeight', 'light', 'FontName', 'Times New Roman Italic');

xlim([x_min, x_max]);
ylim([y_min, y_max]);

xticks(0: x_max / 5 :x_max);
yticks(0: y_max / 5 :y_max);

grid on;